## libspctag 0.2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(libspctag)

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")

ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
SET(libspctag_src spctag.c)

ADD_LIBRARY(spctag SHARED ${libspctag_src})

SET_TARGET_PROPERTIES(
  spctag
    PROPERTIES 
      SOVERSION 1
      VERSION 1.0.2
)

INSTALL(FILES spctag.h DESTINATION "include")
INSTALL(TARGETS spctag DESTINATION "lib")

=== debian/changelog ===
libspctag (0.2-2) unstable; urgency=medium

  * Maintain in Debian Games team
    Closes: #1119898
  * d/watch: version=5
  * d/copyright: Fix Format
  * Fix build with CMake 4
    Closes: #1113205
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * d/rules: hardenig options

 -- Andreas Tille <tille@debian.org>  Sun, 23 Nov 2025 08:04:29 +0100

libspctag (0.2-1) unstable; urgency=low

  * New upstream release

 -- Jérôme SONRIER <jsid@emor3j.fr.eu.org>  Tue, 20 Sep 2011 00:53:36 +0200

libspctag (0.1-2) unstable; urgency=low

  * Remove Vcs-Browser field from control file (Closes: #638493)

 -- Jérôme SONRIER <jsid@emor3j.fr.eu.org>  Sun, 21 Aug 2011 04:37:47 +0200

libspctag (0.1-1) unstable; urgency=low

  * Initial release (Closes: #633471)

 -- Jérôme SONRIER <jsid@emor3j.fr.eu.org>  Thu, 07 Jul 2011 19:19:41 +0200

=== debian/control ===
Source: libspctag
Standards-Version: 4.7.2
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jérôme SONRIER <jsid@emor3j.fr.eu.org>,
 Andreas Tille <tille@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Vcs-Browser: https://salsa.debian.org/games-team/libspctag
Vcs-Git: https://salsa.debian.org/games-team/libspctag.git
Homepage: https://sourceforge.net/projects/libspctag/

Package: libspctag-dev
Architecture: any
Section: libdevel
Depends:
 libspctag1 (= ${binary:Version}),
 ${misc:Depends},
Description: ID666 tags edition support library (development headers)
 libspctag provides a library that allows reading and writing ID666 tags from
 SPC files (SNES audio files).
 For the moment, libspctag do not support extended ID666 edition.
 .
 This package provides the development headers for libspctag.

Package: libspctag1
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: ID666 tags edition support library
 libspctag provides a library that allows reading and writing ID666 tags from
 SPC files (SNES audio files).
 For the moment, libspctag do not support extended ID666 edition.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_CONFIGURE_EXTRA_FLAGS=--disable-static
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
